<div class="hero-main">
  <div class="container py-5">
    <div class="col-10 col-sm-8 col-lg-4 hero-content">
    </div>
    <div>
      <h1>GAME WITH OTHERS.</h1>
      <h1>FIND COMMUNITY.</h1>
      <p class="lead">With L4G, finding other party members has never been easier.
          Connect with others, engage in discussion, plan events.</p>
      <div class="d-grid gap-2 d-md-flex justify-content-md-start">
        <button type="button" class="btn btn-outline-danger btn-lg px-4 me-sm-3 fw-bold border-danger" (click)="focusSearchbar()">Search For Group</button>
        <button type="button" class="btn btn-outline-light btn-lg px-4"
          *ngIf="!isLoggedIn">Sign Up</button>
      </div>
    </div>
  </div>
</div>

<div class="news-headers">
  <div class="container py-5" >
    <h1>Steam News</h1>
    <h2 style="color:#b7b7b7;">Get the latest news article from any steam game with its app id.</h2>
    <form class="news-appid-form">
      <mat-form-field class="full-width">
        <mat-label>Steam App Id</mat-label>
        <input matInput name ="steamAppId" [(ngModel)]="steamAppId" (keyup.enter)="onEnter()">
      </mat-form-field>
    </form>
  </div>
</div>


<div fxLayout="row wrap" fxLayoutAlign="space-around">
<mat-card *ngIf="newsObject !== null" class="news-card">
    <mat-card-header>
        <mat-card-title>{{ newsObject?.appnews.newsitems[0].title }}</mat-card-title>
        <mat-card-subtitle>By: {{ newsObject?.appnews.newsitems[0].author }}</mat-card-subtitle>
    </mat-card-header>
    <img mat-card-image src="{{ newsHtml?.images[0].src }}">
    <mat-card-content>
        <div class="news-card-content" [innerHTML] = "newsParElements[0]"></div>
      <br>
      <p><a href="{{ newsObject?.appnews.newsitems[0].url }}">Read More.</a></p>
    </mat-card-content>
</mat-card>

<mat-card *ngIf="newsObject1 !== null" class="news-card">
  <mat-card-header>
      <mat-card-title>{{ newsObject1?.appnews?.newsitems[0]?.title }}</mat-card-title>
      <mat-card-subtitle>By: {{ newsObject1?.appnews?.newsitems[0]?.author }}</mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image src="{{ newsHtml1?.images[0].src }}">
  <mat-card-content>
      <div class="news-card-content" [innerHTML] = "newsParElements1[0]"></div>
    <br>
    <p><a href="{{ newsObject1?.appnews.newsitems[0].url }}">Read More.</a></p>
  </mat-card-content>
</mat-card>

<mat-card *ngIf="newsObject2 !== null" class="news-card">
  <mat-card-header>
      <mat-card-title>{{ newsObject2?.appnews.newsitems[0].title }}</mat-card-title>
      <mat-card-subtitle>By: {{ newsObject2?.appnews.newsitems[0].author }}</mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image src="{{ newsHtml2?.images[0].src }}">
  <mat-card-content>
      <div class="news-card-content" [innerHTML] = "newsParElements2[0]"></div>
    <br>
    <p><a href="{{ newsObject2?.appnews.newsitems[0].url }}">Read More.</a></p>
  </mat-card-content>
</mat-card>

<mat-card *ngIf="newsObject3 !== null" class="news-card">
  <mat-card-header>
      <mat-card-title>{{ newsObject3?.appnews.newsitems[0].title }}</mat-card-title>
      <mat-card-subtitle>By: {{ newsObject3?.appnews.newsitems[0].author }}</mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image src="{{ newsHtml3?.images[0].src }}">
  <mat-card-content>
      <div class="news-card-content" [innerHTML] = "newsParElements3[0]"></div>
    <br>
    <p><a href="{{ newsObject3?.appnews.newsitems[0].url }}">Read More.</a></p>
  </mat-card-content>
</mat-card>

<mat-card *ngIf="newsObject4 !== null" class="news-card">
  <mat-card-header>
      <mat-card-title>{{ newsObject4?.appnews.newsitems[0].title }}</mat-card-title>
      <mat-card-subtitle>By: {{ newsObject4?.appnews.newsitems[0].author }}</mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image src="{{ newsHtml4?.images[0].src }}">
  <mat-card-content>
      <div class="news-card-content" [innerHTML] = "newsParElements4[0]"></div>
    <br>
    <p><a href="{{ newsObject4?.appnews.newsitems[0].url }}">Read More.</a></p>
  </mat-card-content>
</mat-card>
</div>
